------------------------------------------------------
-- QuestRewards_Info.lua
------------------------------------------------------
-- NOTE: FT_FactionReward used for different factions.
------------------------------------------------------

local FT_FactionReward = {
	["Alliance"] = {
		[118923] = "'The Huntresses', Lunarfall",
		[118921] = "'For the Birds', Lunarfall",
		[111660] = "'Report to the King', Vindicator Maraad, Blasted Lands [52.0, 28.6]",
		[46753] = "'Demonic Thieves' , Melithar Staghelm, Teldrassil [45.8, 73.0]",
	},
	["Horde"] = {
		[118923] = "'The Huntresses', Frostwall",
		[118921] = "'For the Birds', Frostwall",
		[111660] = "'Warning Orgrimmar', Thrall, Blasted Lands [48.6, 31.8]",
		[5083] = "'Kodo Hide Bag', Veren Tallstrider, Thunder Bluff [44.0, 44.6]",
	},
	["Neutral"] = { -- REM: make unavailable entry if Alliance/Horde reward, for Pandaren starting zone! --
		[118923] = "[".._G.UNAVAILABLE.."] Complete starting zone.",
		[118921] = "[".._G.UNAVAILABLE.."] Complete starting zone.",
		[111660] = "[".._G.UNAVAILABLE.."] Complete starting zone.",
		[94190] = "'A Large Pile of Giant Dinosaur Bones', Ku'ma, Isle of Giants [33.0, 53.4]",
		[10398] = "'An OOX of Your Own, Oglethorpe Obnoticus', The Cape of Stranglethorn [43.0, 72.0]",
		
	},
}; -- < FT_FactionReward

local QuestRewardsInfo = {
	
	[127856] = { i="150 Oil", note="Garrison Naval Mission: Orphaned Aquatic Animal Rescue", need=true }, -- Left Shark
	[127748] = { i="100 Garrison Resources", note="Garrison Quest: Fiery Friends", need=true }, -- Cinder Pup
	[118923] = { i="Quest", note=FT.REWARD_FROM..": "..FT_FactionReward[UnitFactionGroup("player")][118923], need=true }, -- Sentinel's Companion
	[118921] = { i="Quest", note=FT.REWARD_FROM..": "..FT_FactionReward[UnitFactionGroup("player")][118921], need=true }, -- Everbloom Peachick
	[111660] = { i="Quest", note=FT.REWARD_FROM..": "..FT_FactionReward[UnitFactionGroup("player")][111660], need=true }, -- Iron Starlette
	[116403] = { i="Quest", we=FT.HOLIDAY_EVENT_PB, need=true }, -- Frightened Bush Chicken
	[94190] = { i="Quest", note=FT.REWARD_FROM..": "..FT_FactionReward["Neutral"][94190], need=true }, -- Spectral Porcupette
	[46753] = { i="Quest", note=FT.REWARD_FROM..": "..FT_FactionReward["Alliance"][46753], need=true }, -- Melithar's Supply Bag (6 Slot)
	[10398] = { i="Quest", note=FT.REWARD_FROM..": "..FT_FactionReward["Neutral"][10398], need=true }, -- Mechanical Chicken
	[5083] = { i="Quest", note=FT.REWARD_FROM..": "..FT_FactionReward["Horde"][5083], need=true }, -- Pattern: Kodo Hide Bag
	
};

-- merge into FT_ItemInfo table
for k in pairs(QuestRewardsInfo) do
	FT_ItemInfo[k] = QuestRewardsInfo[k];
end;