------------------------------------------------------
-- localization.lua
------------------------------------------------------

FT = {
	
	SPECIAL_VENDOR_COLOR = {r=1.0, g=0.5, b=0.25},
	PATTERN_COLOR = {r=0.25, g=1.0, b=0.5},
	DROP_COLOR = {r=1.0, g=0.50, b=0.75},
	QUEST_COLOR = {r=0.2, g=0.80, b=0.2},
	USELESS_COLOR = {r=1.0, g=0.25, b=0.25},
	INDENT = "  ",
	
	SOLD_FOR_PRICE_BY = "Sold for %s by",
	VENDOR_LOCATION_FORMAT = "%s, %s",
	FACTION_REWARDS = "%s Rewards:",
	FACTION_REWARDS_COUNT = "%d %s Rewards",
	TURNIN = "Faction turnin for",
	WITH = "also requires",
	BUY = "Buy ",
	MADE_BY = "Crafted by",
	DROPPED_BY = "Dropped by",
	OPTAINABLE_BY = "Optainable by",
	PATTERN_FROM = "|cffffff00'%s'|r for |cffffffff%s|r from, ",
	EVERYWHERE = "Everywhere",
	PATROLLING_ROUTE = "Patrolling route",
	PATROLLING_ON_ROAD = "Patrolling on the road",
	UNKNOWN_LOCATION = "|cffff44aa".._G.UNKNOWN.."|r",
	HOLIDAY_EVENT = "Holiday event",
	HOLIDAY_EVENT_Brew = "Brewfest",
	HOLIDAY_EVENT_CW = "Children's Week",
	HOLIDAY_EVENT_DotD = "Day of the Dead",
	HOLIDAY_EVENT_FoWV = "Feast of Winter Veil",
	HOLIDAY_EVENT_HE = "Hallow's End",
	HOLIDAY_EVENT_HF = "Harvest Festival",
	HOLIDAY_EVENT_LiitA = "Love is in the Air",
	HOLIDAY_EVENT_LF = "Lunar Festival",
	HOLIDAY_EVENT_Noble = "Noblegarden",
	HOLIDAY_EVENT_MFF = "Midsummer Fire Festival",
	HOLIDAY_EVENT_PB = "Pilgrim's Bounty",
	PURCHASE_ONLINE = "Purchase Online",
	CLASS_PROFESSION = "Profession: ",
	PROFESSION_BLACKSMITHING = "Blacksmithing",
	PROFESSION_ENGINEERING = "Engineering",
	PROFESSION_INSCRIPTION = "Inscription",
	PROFESSION_TAILORING = "Tailoring",
	MOB_BOSS = "Boss",
	MOB_RARE = "Rare",
	MOB_ELITE = "Elite",
	MOB_RARE_ELITE = "Rare Elite",
	QUEST_REWARD = "Reward",
	HORDE_CITIES = "Horde Capital Cities",
	ALLIANCE_CITIES = "Alliance Capital Cities",
	PET_VENDOR = "(Exotic Pets and Accessories)",
	REWARD_FROM = "Reward from",
	VARIOUS = "Various",
	NEED_FOR = "Need %s for",
	LEARN_AT = "Learn |cffffff00'%s'|r at your profession trainer",
	WORLD_EVENT = "World Event",
	ITEM_WARNING = "WARNING! No longer used in game. Could be a trash item.",
	
	ACTIVE = _G.ACTIVE_PETS,
	NO_ACTIVE = _G.UNAVAILABLE,
	
	SEASONAL_VENDOR = "Seasonal vendor",
	DARKMOON_FAIRE = _G.CALENDAR_FILTER_DARKMOON,
	
	REQ_STANDING = "Required Reputation: ",
	REQ_FACTION_FRIENDLY = "|cff00ff00Friendly|r", 		-- Friendly
	REQ_FACTION_HONORED = "|cff00ffffHonored|r", 		-- Honored
	REQ_FACTION_REVERED = "|cff0000ffRevered|r", 		-- Revered
	REQ_FACTION_EXALTED = "|cffff00ffExalted|r", 		-- Exalted
	REQ_FACTION_FRIEND = "|cff00ff00Good Friend|r",		-- Good Friend
	
	RECIPE = "Recipe",
	BOOK = "Book",
	MISCELLANEOUS = _G.MISCELLANEOUS,
	PET = _G.PET,
	QUIVER = _G.INVTYPE_QUIVER,
	CONTAINER = _G.ITEM_CONTAINER,
	
	--options
	ICON = "Icon",
	SHORT = "Short",
	LONG = "Long",
	
	VERSION_LABEL = "Retail Version",
	DISPLAY_LABEL = "Enabled",
	DISPLAY_DESCRIPTION = "Display FleecingTip on items tooltip.",
	SOUND_LABEL = "Sound On",
	SOUND_DESCRIPTION = "Give FleecingTip some sound.",
	
};

-- localization for map regions
FT["Azuremyst Isle"] = "Azuremyst Isle";
FT["Broken Shore"] = "Broken Shore";
FT["Dalaran"] = "Dalaran";
FT["Dun Morogh"] = "Dun Morogh";
FT["Durotar"] = "Durotar";
FT["Elwynn Forest"] = "Elwynn Forest";
FT["Eversong Woods"] = "Eversong Woods";
FT["Frostwall"] = "Frostwall";
FT["Lunarfall"] = "Lunarfall";
FT["Mulgore"] = "Mulgore";
FT["Northern Barrens"] = "Northern Barrens";
FT["Teldrassil"] = "Teldrassil";
FT["Tirisfal Glades"] = "Tirisfal Glades";
FT["Trueshot Lodge"] = "Trueshot Lodge";


-- Alliance Names

-- German localization
if ( GetLocale() == "deDE" ) then

	FT.SOLD_FOR_PRICE_BY = "Verkauft fr %s von";
	FT.FACTION_REWARDS = "%s Belohnung:";
	FT.FACTION_REWARDS_COUNT = "%d %s Belohnung";
	FT.TURNIN = "Fraktion einreichen fr";
	FT.WITH = "erfordert auch";
	FT.BUY = "Kaufen ";
	FT.MADE_BY = "Hergestellt von";
	FT.DROPPED_BY = "Fallengelassen von";
	FT.OPTAINABLE_BY = "Erhltlich bei";
	FT.PATTERN_FROM = "|cffffff00'%s'|r fr |cffffffff%s|r von, ";
	FT.EVERYWHERE = "berall";
	FT.PATROLLING_ROUTE = "Patrouillenweg";
	FT.PATROLLING_ON_ROAD = "Auf der Strae patrouillieren";
	FT.HOLIDAY_EVENT = "Ferienveranstaltung";
	FT.HOLIDAY_EVENT_Brew = "Braufest";
	FT.HOLIDAY_EVENT_DotD = "Tag der Toten";
	FT.HOLIDAY_EVENT_FoWV = "Fest des Winterschleiers";
	FT.HOLIDAY_EVENT_HE = "Das Ende der Heilung";
	FT.HOLIDAY_EVENT_HF = "Erntedankfest";
	FT.HOLIDAY_EVENT_LiitA = "Liebe ist in der Luft";
	FT.HOLIDAY_EVENT_LF = "Mondfest";
	FT.HOLIDAY_EVENT_Noble = "Nobelgarten";
	FT.HOLIDAY_EVENT_MFF = "Mittsommer Feuerfest";
	FT.HOLIDAY_EVENT_PB = "Pilgerprmie";
	FT.PURCHASE_ONLINE = "Online kaufen";
	FT.CLASS_PROFESSION = "Beruf: ";
	FT.PROFESSION_BLACKSMITHING = "Schmiedekunst";
	FT.PROFESSION_ENGINEERING = "Ingenieurwesen";
	FT.PROFESSION_INSCRIPTION = "Inschrift";
	FT.PROFESSION_TAILORING = "Schneiderei";
	FT.MOB_RARE = "Selten";
	FT.MOB_RARE_ELITE = "Seltene Elite";
	FT.QUEST_REWARD = "Belohnung";
	FT.HORDE_CITIES = "Hauptstdte der Horde";
	FT.ALLIANCE_CITIES = "Allianz-Hauptstdte";
	FT.PET_VENDOR = "(Exotische Haustiere und Accessoires)";
	FT.REWARD_FROM = "Belohnung von";
	FT.VARIOUS = "Verschiedene";
	FT.NEED_FOR = "Bentigen %s fr";
	FT.LEARN_AT = "Lernen |cffffff00'%s'|r Sie bei Ihrem Berufstrainer";
	FT.WORLD_EVENT = "Weltereignis";
	FT.ITEM_WARNING = "WARNUNG! Wird im Spiel nicht mehr verwendet. Knnte ein Mlleimer sein.";
	
	FT.SEASONAL_VENDOR = "(Saisonaler Verkäufer)";
	
	FT.REQ_STANDING = "Erforderliches Ansehen: ";
	FT.REQ_FACTION_FRIENDLY = "|cff00ff00Freundlich|r"; 	-- Friendly
	FT.REQ_FACTION_HONORED = "|cff00ffffGeehrt|r"; 		-- Honored
	FT.REQ_FACTION_REVERED = "|cff0000ffEhrfrchtig|r"; 	-- Revered
	FT.REQ_FACTION_EXALTED = "|cffff00ffErhaben|r"; 		-- Exalted
	FT.REQ_FACTION_FRIEND = "|cff00ff00Guter Freund|r";	-- Good Friend
	
	FT.RECIPE = "Rezept";
	FT.BOOK = "Buch";
	
	FT.ICON = "Symbol";
	FT.SHORT = "Kurz";
	FT.LONG = "Lange";
	
	FT.DISPLAY_LABEL = "Aktivieren";
	FT.DISPLAY_DESCRIPTION = "Zeigen Sie den FleecingTip im Tooltipp des Elements an.";
	FT.SOUND_LABEL = "Ton an";
	FT.SOUND_DESCRIPTION = "Gib FleecingTip etwas Sound.";
	
-- localized zone names (only those that differ from the enUS version should be present)
	FT["Azuremyst Isle"] = "Azurmythosinsel";
	FT["Broken Shore"] = "Unterbrochenes Ufer";
--	FT["Dalaran"] = "Dalaran";
--	FT["Dun Morogh"] = "Dun Morogh";
--	FT["Durotar"] = "Durotar";
	FT["Elwynn Forest"] = "Wald von Elwynn";
	FT["Eversong Woods"] = "Immersangwald";
--	FT["Frostwall"] = "Frostwall";
	FT["Lunarfall"] = "Mondfall";
--	FT["Mulgore"] = "Mulgore";
	FT["Northern Barrens"] = "Nrdliches Brachland";
--	FT["Teldrassil"] = "Teldrassil";
	FT["Tirisfal Glades"] = "Tirisfal Lichtungen";
--	FT["Trueshot Lodge"] = "Trueshot Lodge";
	
-- localized NPC names (only those that differ from the enUS version should be present)
--	FT["Alchemist Pestlezugg"] = "Alchimist Pestlezugg";
--	FT["Argent Quartermaster Hasana"] = "Argentum-Rüstmeister Hasana";
--	FT["Argent Quartermaster Lightspark"] = "Argentum-Rüstmeister Lightspark";
--	FT["Defias Profiteer"] = "Defias-Schieber";
--	FT["Lorekeeper Lydros"] = "Wissenswächter Lydros";
--	FT["Outfitter Eric"] = "Ausstatter Eric";
--	FT["Quartermaster Miranda Breechlock"] = "Rüstmeisterin Miranda Breechlock";
--	FT["Rin'wosho the Trader"] = "Rin'wosho der Händler";
	
end


if ( GetLocale() == "koKR" ) then

end


if ( GetLocale() == "frFR" ) then

end

